const CopyWebpackPlugin = require('copy-webpack-plugin')
const webpack = require('webpack')
const path = require('path')

const debug = process.env.NODE_ENV !== 'production'
let cesiumSource = './node_modules/cesium/Source'
let cesiumWorkers = '../Build/Cesium/Workers'
module.exports = {
    devServer: {
        port: 8090 //修改服务端口号
    },
    outputDir: 'dist', //设置 build 输出目录
    configureWebpack: {
		entry: "./src/main.js",//入口文件，就是上步骤的src目录下的index.js文件，
        output: {
			path: path.resolve(__dirname, './dist'),//输出路径，就是上步骤中新建的dist目录，
			filename: 'Map.min.js',
			libraryTarget: 'umd',
			umdNamedDefine: true
		},
        amd: {
            toUrlUndefined: true
        },
        plugins: [
            new CopyWebpackPlugin([ { from: path.join(cesiumSource, cesiumWorkers), to: 'Workers'}]),
            new CopyWebpackPlugin([ { from: path.join(cesiumSource, 'Assets'), to: 'Assets'}]),
            new CopyWebpackPlugin([ { from: path.join(cesiumSource, 'Widgets'), to: 'Widgets'}]),
            new CopyWebpackPlugin([ { from: path.join(cesiumSource, 'ThirdParty/Workers'), to: 'ThirdParty/Workers'}]),
            new webpack.DefinePlugin({
                CESIUM_BASE_URL: JSON.stringify('./')
            }),
            new CopyWebpackPlugin([ { from: './static', to: 'static'}])
        ],
        module: {
            unknownContextCritical: /^.\/.*$/,
            unknownContextCritical: false

        }
    }
}